         
(def-step get-item
    :my-conditions
     (
      customer
      order-verb
      :nec (orderable-items item-list))
 
(def-template orderable-items 
     :argument item-list
     :condition
  (orc :nec (list
           (phrasec (:nec (oi item-list) 
                     :nec ,
                     :nec (orderable-items item-list)))
           (phrasec (:nec (oi item-list)
                     :nec and
                     :nec (oi item-list))) 
           (phrasec (:nec (oi item-list)))))
          
;;; Use append for variable binding instead of setf
;;; Don't forget to reset before each parse! (or 
;;; at least some time beforehand)   
 
(def-template oi
     :argument item
     :condition :nec
          ( indef-det
            (orderable-item item)))

(def-word-property indef-det
 (category det)
 (definiteness indefinite))

;;;---------------------------------------------
;;; ...and the rest of the order-scenario steps:
;;;---------------------------------------------

(def-step describe-item
 :my-conditions
 (phrasec(:nec what
          is
          :nec (orderable-items item-list)))
     
(def-step kind-of
 :my-conditions
 (phrasec (:nec what
           :nec kind-of
           :nec (orderable-items item-list)
           do
           you 
           '(have serve offer))))

(def-step do-you-have
 :my-conditions
 (phrasec (do
              :nec you
             :nec have
             (orderable-items item-list))))

(def-step get-nothing
 :my-conditions
 (andc (orc (list (phrasec (:nec nothing
                            thanks))
               (phrasec(:nec no
                        thanks))))
    (last-step-was ask-order)))

(def-step accept-last-item
 :my-condition
 (andc (list (phrasec (:nec yes))
          ...)))

(def-step ask-again 
 :my-condition
 (andc (list (phrasec (:nec no))
          ...)))
    