(defparameter ask-about-meal (make-instance 'mystep
                :name "ask-about-meal"
                :my-condition 
                             (lambdac #'(lambda (restaurant mystep)
                        (if (not (eq (num-items (order-pad restaurant)) 0))
                         (make-instance 'results :success t)
                          (make-instance 'results :success nil))))
                         
                :my-action #'(lambda (self restaurant)
  
                 (say (waiter restaurant) "~%How is everything?")
                 (setf (expecting-input (waiter restaurant)) t))
))

(defparameter great (make-instance 'mystep
                 :name "great"
                 :input-condition (wordc :nec '(great))
                 :my-condition (lambdac #'(lambda (restaurant mystep)
                                (prev-step-matches restaurant '("ask-about-meal") 2)))
                 :my-action #'(lambda (self restaurant)
                  (say (waiter restaurant) "~%I'm glad.  I will be sure to tell the chef."))
))

(defparameter horrible (make-instance 'mystep
                 :name "horrible"
                 :input-condition (wordc :nec '(terrible)
                                        :sup '((orderable-item focus)))
                 :my-condition (lambdac #'(lambda (restaurant mystp)
                                (prev-step-matches restaurant '("ask-about-meal") 2)))
                 :my-action #'(lambda (self restaurant)
                   (say (waiter restaurant) "~%I am terribly sorry."))
))
(defparameter check-on-customer (make-instance 'scenario
                 :name "check-on-customer"
                 :description "Make sure everything is O.K."
                 :steps (list ask-about-meal great horrible)
                 :end-condition (orc (list (historyc "great")
                                           (historyc "horrible")
                                     (lambdac #'(lambda (restaurant mystep)                                 (if (eq (num-items (order-pad restaurant)) 0)
                                 (make-instance 'results :success t)
                                 (make-instance 'results :success nil))))))
 

))
