;;;-------------------------------------------------
;;; Set debugging parameters for how much to print
;;; (debugp is a higher granularity than debug2p)
;;;-------------------------------------------------
(defparameter debugp nil)
(defparameter debugr nil)
(defparameter debugq nil)
(defparameter debug2p nil)

(defparameter *TRAP* 0)
(defparameter *maxtrap* 20)

;;;-------------------------------------------------
;;; default path; output variables
;;;-------------------------------------------------

;(defparameter default-path "c:\\allegro\\l2tutor6\\")
(defparameter default-path "/guests/andrea/l2tutor6/")
(defparameter student nil)
(defparameter output-file (format nil "~atranscpt.out" default-path))
(defparameter teacher output-file)
;;;-------------------------------------------------
;;; Load and edit files
;;;-------------------------------------------------

(defparameter files '(
 "util.lsp"
; "phrases.lsp"  ;;;NOT USED
 "atn.lsp" 
 "objects2.lsp"
 "ordrform.lsp"
 "restaura.lsp"
 "step.lsp"
 "scenario.lsp"
 "conds.lsp"
 "phrasec.lsp"
 "waiter2.lsp"
 "dictiona.lsp"
 "wphrases.lsp"
 "graph.lsp"
 "general.sce"
 "welcome.sce"
 "attributes2.sce"
 "serve2.sce"
 "order2.sce" 
 "end2.sce"
 "subscenario2.sce" 
 "spelling.lsp"
 "context.lsp"
 "othergrammar.lsp"
 "run.sce"                    
 "test.lsp"
))

;also important: Notes.txt



(dolist (a-file files) 
   (load (format nil "~a~a" default-path a-file)))

;(push "NOTES.TXT" files)
(push "NOTES2.TXT" files)
;(push "template.lsp" files)
;(push "ALGNOTES.TXT" files)
;(push "SAMPLES1.TXT" files)
(delete "wphrases.lsp" files)
(delete "ordrform.lsp" files)

;(dolist (a-file files)
;   (ed (format nil "~a~a" default-path a-file)))






