(defparameter getting-drink (make-instance 'mystep
              :name "getting-drink"
              :my-condition (spscorec :sc 1) 
                           
              :my-action #'(lambda (self restaurant)
;;               (format t "~% Num-drinks : ~a" (num-drinks (order-pad restaurant)))
             
               (cond  ((not (eq (num-drinks (order-pad restaurant)) 0))
                   (if (eq (num-drinks (order-pad restaurant)) 1)
                (say (waiter restaurant) "~%I will be right back with your drink.

Your waiter has left to get your drink...

")
                (say (waiter restaurant) "~%I will be right back with you drinks.

Your waiter has left to get your drinks...

"))
                
                 (wait 5)))
            )))

(defparameter serve-drink-order (make-instance 'mystep
              :name "serve-drink-order"
              :my-condition (lambdac #'(lambda (restaurant mystep)
                              (prev-step-matches restaurant '("getting-drink") 2)))
              :my-action #'(lambda (self restaurant)
             
              (cond ((not (eq (num-drinks (order-pad restaurant)) 0))
               (cond ((eq (num-drinks (order-pad restaurant)) 1)
               (say (waiter restaurant) "~%Here is your ~a." 
                 (reference-name (car (drink-items (order-pad restaurant))))))
                 (t (say (waiter restaurant) "~%Here is your")
                    (loop for i from 0 to (- (num-drinks (order-pad restaurant)) 2) do
               (say (waiter restaurant) " ~a, "
                 (reference-name (nth i (drink-items (order-pad restaurant))))))
               (say (waiter restaurant) " and your ~a. " 
                (reference-name (nth (- (num-drinks (order-pad restaurant)) 1) (drink-items (order-pad restaurant)))))
               
                 ))))
              (setf (num-drinks (order-pad restaurant)) 0)
)))

(defparameter serve-drink (make-instance 'scenario
                     :name "serve-drink"
                     :description "Serve drink."
                     :steps (list getting-drink serve-drink-order)
                     :my-condition (lambdac #'(lambda (restaurant mystep)
                                   (if  (> 0 (num-drinks (order-pad restaurant)))
                                      (make-instance 'results
                                                :success t)
                                      (make-instance 'results
                                                :success nil))))
                                    
                     :end-condition 
                                    (lambdac #'(lambda (restaurant mystep)
                                      (if (eq (num-drinks (order-pad restaurant)) 0)
                                        (make-instance 'results
                                                 :success t)
                                        (make-instance 'results
                                                 :success nil))))))



(defparameter getting-food (make-instance 'mystep
              :name "getting-food"
              :my-condition 
                               (spscorec :sc 1)
                           
              :my-action #'(lambda (self restaurant)
               (cond ((not (eq (food (order-pad restaurant)) 0))
               
                
                (say (waiter restaurant) "~%I will be right back with your food.

Your waiter has left to get your food...

")
                
                 (wait 5)))
            )))

(defparameter serve-food-order (make-instance 'mystep
              :name "serve-food-order"
              :my-condition (lambdac #'(lambda (restaurant mystep)
                              (prev-step-matches restaurant '("getting-food") 2)))
              :my-action #'(lambda (self restaurant)
              (cond ((not (eq (food (order-pad restaurant)) 0))
             
               (cond ((eq (food (order-pad restaurant)) 1)
               (say (waiter restaurant) "~%Here you are:  your ~a." 
                 (reference-name (car (main-course (order-pad restaurant))))))
                 (t (say (waiter restaurant) "~%Here you are: your")
                    (loop for i from 0 to (- (food (order-pad restaurant)) 2) do
               (say (waiter restaurant) " ~a, "
                 (reference-name (nth i (main-course (order-pad restaurant))))))
               (say (waiter restaurant) " and your ~a. " 
                (reference-name (nth (- (food (order-pad restaurant)) 1) (main-course (order-pad restaurant)))))
               ))))
               (setf (food (order-pad restaurant)) 0)
               
                 
)))

(defparameter serve-food (make-instance 'scenario
                     :name "serve-food"
                     :description "Serve food."
                     :steps (list getting-food serve-food-order)
                     :my-condition (lambdac #'(lambda (restaurant mystep)
                                   (if (> (0 (food (order-pad restaurant))))
                                     (make-instance 'results
                                           :success t)
                                     (make-instance 'results
                                           :success nil))))
                     :end-condition 
                                     (lambdac #'(lambda (restaurant mystep)
;;(format t "~%TESTING SERVE-FOOD END-CONDITION")
;;(format t "~%Food: ~a" (food (order-pad restaurant)))
                                      (if (eq (food (order-pad restaurant)) 0)
                                        (make-instance 'results
                                                 :success t)
                                        (make-instance 'results
                                                 :success nil))))))

                                    


                                    
(defparameter getting-dessert (make-instance 'mystep
              :name "getting-dessert"
              :my-condition (spscorec :sc 1) 
                           
              :my-action #'(lambda (self restaurant)
;;               (format t "~% Num-dessert : ~a" (num-dessert (order-pad restaurant)))
             
               (cond  ((not (eq (num-dessert (order-pad restaurant)) 0))
                  
                (say (waiter restaurant) "~%I will be right back with your dessert.

Your waiter has left to get your dessert.")
                
                 (wait 5)))
            )))

(defparameter serve-dessert-order (make-instance 'mystep
              :name "serve-dessert-order"
              :my-condition (lambdac #'(lambda (restaurant mystep)
                              (prev-step-matches restaurant '("getting-dessert") 2)))
              :my-action #'(lambda (self restaurant)
             
              (cond ((not (eq (num-dessert (order-pad restaurant)) 0))
               (cond ((eq (num-dessert (order-pad restaurant)) 1)
               (say (waiter restaurant) "~%Here is your ~a." 
                 (reference-name (car (dessert-items (order-pad restaurant))))))
                 (t (say (waiter restaurant) "~%Here is your")
                    (loop for i from 0 to (- (num-dessert (order-pad restaurant)) 2) do
               (say (waiter restaurant) " ~a, "
                 (reference-name (nth i (dessert-items (order-pad restaurant))))))
               (say (waiter restaurant) " and your ~a. " 
                (reference-name (nth (- (num-dessert (order-pad restaurant)) 1) (dessert-items (order-pad restaurant)))))
               
                 ))))
              (setf (num-dessert (order-pad restaurant)) 0)

 (cond ((not (eq (num-drinks (order-pad restaurant)) 0))
               (cond ((eq (num-drinks (order-pad restaurant)) 1)
               (say (waiter restaurant) "~%Also, here is your ~a." 
                 (reference-name (car (drink-items (order-pad restaurant))))))
                 (t (say (waiter restaurant) "~%Here is your")
                    (loop for i from 0 to (- (num-drinks (order-pad restaurant)) 2) do
               (say (waiter restaurant) " ~a, "
                 (reference-name (nth i (drink-items (order-pad restaurant))))))
               (say (waiter restaurant) " and your ~a. " 
                (reference-name (nth (- (num-drinks (order-pad restaurant)) 1) (drink-items (order-pad restaurant)))))
               
                 ))))
              (setf (num-drinks (order-pad restaurant)) 0)
           
)))

(defparameter serve-dessert (make-instance 'scenario
                     :name "serve-dessert"
                     :description "Serve dessert."
                     :steps (list getting-dessert serve-dessert-order)
                     :my-condition (lambdac #'(lambda (restaurant mystep)
                                   (if  (> 0 (num-dessert (order-pad restaurant)))
                                      (make-instance 'results
                                                :success t)
                                      (make-instance 'results
                                                :success nil))))
                                    
                     :end-condition 
                                    (lambdac #'(lambda (restaurant mystep)
                                      (if (eq (num-dessert (order-pad restaurant)) 0)
                                        (make-instance 'results
                                                 :success t)
                                        (make-instance 'results
                                                 :success nil))))))


                 














